### Constructor

# Gtk Entrynew_with_buffer

#### Declaration [src]

    GtkWidget*
    gtk_entry_new_with_buffer (
      GtkEntryBuffer* buffer
    )

#### Description [src]

Creates a new entry with the specified text buffer.

#### Parameters

`buffer`

  Type: `GtkEntryBuffer`

  The buffer to use for the new `GtkEntry`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkEntry`

The data is owned by the called function.